> For the complete documentation index, see [llms.txt](https://docs.dikesoft.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dikesoft.com/reference/injection-tokens/filtering.md).

# Filtering

## Debounce time

### TEXT\_FILTER\_DEBOUNCE\_TIME

This Injection Token modifies the waiting time before sending a text filter for its execution.

```typescript
const TEXT_FILTER_DEBOUNCE_TIME: InjectionToken<number>;
```

### NUMERIC\_FILTER\_DEBOUNCE\_TIME

This Injection Token modifies the waiting time before sending a numeric filter for its execution.

```typescript
const NUMERIC_FILTER_DEBOUNCE_TIME: InjectionToken<number>;
```

## Custom Filter conditions

### CUSTOM\_TEXT\_FILTER\_CONDITIONS

This Injection Token allows creating `Text` filter conditions and adding them to the existing ones.

```typescript
const CUSTOM_TEXT_FILTER_CONDITIONS: InjectionToken<CustomTextCaseFilterCondition<object>>;
```

### CUSTOM\_NUMERIC\_FILTER\_CONDITIONS

This Injection Token allows creating `Numeric` filter conditions and adding them to the existing ones.

```typescript
const CUSTOM_NUMERIC_FILTER_CONDITIONS: InjectionToken<CustomNumericFilterCondition<object>>;
```

### CUSTOM\_DATE\_FILTER\_CONDITIONS

This Injection Token allows creating `Date` filter conditions and adding them to the existing ones.

```typescript
const CUSTOM_DATE_FILTER_CONDITIONS: InjectionToken<CustomDateFilterCondition<object>>;
```

### CUSTOM\_BINARY\_FILTER\_CONDITIONS

This Injection Token allows overwriting the valid filter conditions for `Binary` types.

```typescript
const CUSTOM_BINARY_FILTER_CONDITIONS: InjectionToken<CustomBinaryFilterCondition<object>>;
```

## Custom Row Filter conditions

### CUSTOM\_ROW\_TEXT\_FILTER\_CONDITIONS

This Injection Token allows changing the default `Text` condition.

```typescript
const CUSTOM_ROW_TEXT_FILTER_CONDITIONS: InjectionToken<CustomRowTextCaseFilterCondition<object>>;
```

### CUSTOM\_ROW\_NUMERIC\_FILTER\_CONDITIONS

This Injection Token allows changing the default `Numeric` condition.

```typescript
const CUSTOM_ROW_NUMERIC_FILTER_CONDITIONS: InjectionToken<CustomRowNumericFilterCondition<object>>;
```

### CUSTOM\_ROW\_DATE\_FILTER\_CONDITIONS

This Injection Token allows changing the default `Date` condition.

```typescript
const CUSTOM_ROW_DATE_FILTER_CONDITIONS: InjectionToken<CustomRowDateFilterCondition<object>>;
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dikesoft.com/reference/injection-tokens/filtering.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
